Denial of service in ZNC



Published: 2020-07-06
Risk Low
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2020-13775
CWE-ID CWE-476
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
ZNC
Server applications / IDS/IPS systems, Firewalls and proxy servers

Vendor ZNC

Security Bulletin

This security bulletin contains one low risk vulnerability.

1) NULL pointer dereference

EUVDB-ID: #VU29532

Risk: Low

CVSSv3.1: 4.6 [CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C]

CVE-ID: CVE-2020-13775

CWE-ID: CWE-476 - NULL Pointer Dereference

Exploit availability: No

Description

The vulnerability allows a remote user to perform a denial of service (DoS) attack.

The vulnerability exists due to a NULL pointer dereference error. A remote authenticated user can pass specially crafted data to the application and perform a denial of service (DoS) attack.

Successful exploitation of the vulnerability requires that the echo-message is not enabled and there is no network.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

ZNC: 1.8.0


CPE2.3 External links

http://github.com/znc/znc/commit/2390ad111bde16a78c98ac44572090b33c3bd2d8
http://github.com/znc/znc/commit/d229761821da38d984a9e4098ad96842490dc001
http://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/DNVBE4T2DRJRQHFRMHYBTN4OSOL6DBHR/
http://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/HS3DWGXLVRROQQA57UIPMDM6XMVEMBRA/

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote authenticated user via the Internet.

How the attacker can exploit this vulnerability?

The attacker would have to send a specially crafted request to the affected application in order to exploit this vulnerability.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###